### Method

# AppStream BrandingColorIter next

#### Declaration [src]

    gboolean
    as_branding_color_iter_next (
      AsBrandingColorIter* iter,
      AsColorKind* kind,
      AsColorSchemeKind* scheme_preference,
      const gchar** value
    )

#### Description [src]

Returns the current color entry and advances the iterator. Example:

    AsBrandingColorIter iter;
    AsColorKind ckind;
    AsColorSchemeKind scheme_preference;
    const gchar *color_value;

    as_branding_color_iter_init (&iter, branding);
    while (as_branding_color_iter_next (&iter, &ckind, &scheme_preference, &color_value)) {
        // do something with the color data
    }

#### Parameters

`kind`

  Type: `AsColorKind`

  Destination of the returned color kind.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`scheme_preference`

  Type: `AsColorSchemeKind`

  Destination of the returned color’s scheme preference.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value`

  Type: `const gchar**`

  Destination of the returned color code.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`FALSE` if the last entry has been reached.